#!/bin/bash
#================
# FILE          : config.sh
#----------------
# PROJECT       : OpenSuSE KIWI Image System
# COPYRIGHT     : (c) 2006 SUSE LINUX Products GmbH. All rights reserved
#               :
# AUTHOR        : Marcus Schaefer <ms@suse.de>
#               :
# BELONGS TO    : Operating System images
#               :
# DESCRIPTION   : configuration script for SUSE based
#               : operating systems
#               :
#               :
# STATUS        : BETA
#----------------
#======================================
# Functions...
#--------------------------------------
test -f /.kconfig && . /.kconfig
test -f /.profile && . /.profile

#======================================
# Greeting...
#--------------------------------------
echo "Configure image: [$kiwi_iname]..."

#======================================
# Adding gpg keys to rpmdb
#--------------------------------------
mount /dev/hdc /mnt
rpm --import /mnt/gpg-pubkey-0dfb3188-41ed929b.asc
rpm --import /mnt/gpg-pubkey-3d25d3d9-36e12d04.asc
rpm --import /mnt/gpg-pubkey-7e2e3b05-44748aba.asc
rpm --import /mnt/gpg-pubkey-9c800aca-40d8063e.asc
rpm --import /mnt/gpg-pubkey-307e3d54-44201d5d.asc
rpm --import /mnt/gpg-pubkey-a1912208-446a0899.asc
umount /mnt

#======================================
# remove smart related packages
#--------------------------------------
rpm -e python-elementtree rpm-python smart
rm -rf /var/lib/smart 

#======================================
# Activate services
#--------------------------------------
suseActivateServices
suseRemoveService boot.multipath
suseRemoveService boot.device-mapper
suseRemoveService mdadmd
suseRemoveService multipathd
suseRemoveService hplip
suseRemoveService isdn
suseRemoveService lirc
suseRemoveService micasad
suseRemoveService avahi-daemon
suseRemoveService saslauthd
suseRemoveService snmpd
suseRemoveService avahi-dnsconfd
suseRemoveService bluetooth
suseRemoveService ipmi
suseRemoveService nmb
suseRemoveService openct
suseRemoveService powerd
suseRemoveService smartd
suseRemoveService winbind
suseRemoveService irda
suseRemoveService lm_sensors
suseRemoveService ntp
suseRemoveService openvpn
suseRemoveService raw
suseRemoveService rpasswdd
suseRemoveService rpmconfigcheck
suseRemoveService rsyncd
suseRemoveService sane-dev
suseRemoveService smpppd
suseRemoveService spamd
suseRemoveService xfs
suseRemoveService aaeventd
suseRemoveService atd
suseRemoveService earlygdm
suseRemoveService esound
suseRemoveService fam
suseRemoveService festival
suseRemoveService gssd
suseRemoveService idmapd
suseRemoveService joystick
suseRemoveService pcscd
suseRemoveService smb
suseRemoveService svcgssd
suseRemoveService autoyast
suseRemoveService nfsserver
suseRemoveService xinetd

chkconfig firstboot on

#======================================
# SuSEconfig
#--------------------------------------
suseConfig

#======================================
# add default repos
#--------------------------------------
rm -rf /var/lib/zypp/cache/*
rm -rf /var/lib/zypp/db/sources/*
/etc/init.d/dbus start
sleep 5
# CAUTION: make sure to stop system haldaemon before preparing the image!!
/etc/init.d/haldaemon start
sleep 10
/etc/init.d/novell-zmd start
sleep 10
# CAUTION: make sure to have the SLED10 SP1 DVD in the DVD drive, whenever you prepare an image!
# we need to mount the DVD to /mnt, since it has already been mounted in the
# build host and zmd is reading /proc/mounts, so it expects the DVD to be
# mounted there
mount /dev/hdc /mnt 
rug sa --type zypp dvd:/// "SUSE Linux Enterprise Desktop 10 SP1"
umount /mnt
/etc/init.d/novell-zmd stop
/etc/init.d/haldaemon stop
/etc/init.d/dbus stop

#======================================
# adding ibm-trackpoint profile to sax
#--------------------------------------
echo "0x0210 : 0x0003 : ibm-trackpoint" >> /usr/share/sax/sysp/maps/Input.map

#======================================
# workaround bug #336050
#--------------------------------------
ln -s /opt/gnome/bin/gnomesu /usr/bin/gnomesu


#======================================
# Umount kernel filesystems
#--------------------------------------
baseCleanMount

exit 0
